﻿$ErrorActionPreference = 'Stop';
$url = 'https://github.com/YerongAI/Office-Tool/releases/download/7.3.0.0/Office.Tool.v7.3.0.0.zip'
$checksum = '52E7ED54E9020C9A74309D3E2A94ACBC826F8E33BED591969A38D3B965269708'

$shortcutsPath = [Environment]::GetFolderPath("Programs")

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = "$Env:LOCALAPPDATA"
  url            = $url

  softwareName   = 'otp*'

  checksum       = $checksum
  checksumType   = 'sha256'

  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyZipPackage @packageArgs

Install-ChocolateyShortcut -shortcutFilePath (Join-Path -Path $shortcutsPath -ChildPath 'Office Tool Plus.lnk') -targetPath (Join-Path -Path $Env:LOCALAPPDATA -ChildPath "Office Tool Plus.exe")
